%%
% global so we don't have to pass into Euler function 

global k1a 
global k1b
global s
global k2a  
global k2b 
global k3 
global k4a 
global k4b 
global k5a 
global k5b 
global k7
global k8
global k9
global N
global eta

%% Set parameters
N = 100;                            % number of spatial grid points
Cellsize = 10;                       % sphere diameter (microns)
% variables for time-stepping
interval = 300;      % number of seconds to simulate, int
% reaction constants
k1a = 10;       %s-1,       BemGEFc -> BemGEF
s = 0.0001;
k1b = 10;       %s-1,       BemGEF -> BemGEFc
% GEF
k2a = 0.16;     %uM-1.s-1,  BemGEF + Cdc42D -> Cdc42T
k3  = 0.35;     %uM-1.s-1,  BemGEF42 + Cdc42D -> Cdc42T
%GAP
k2b = 0.35;    %s-1,       Cdc42T -> Cdc42D 
k4a = 10;       %uM-1.s-1,  BemGEF + Cdc42T -> BemGEF42
k4b = 10;       %s-1,       BemGEF42 -> BemGEF + Cdc42T
k5a = 36;
k5b = 0.65;
k7  = 10;       %uM-1.s-1,  BemGEFc + Cdc42T -> BemGEF42
k8 = 0.0063;
k9 = 0.0044;

eta = 0.01;  %eta: Vm/Vc, membrane/cytoplasm volume correction
Dconst = 0.0025;                % diffusion coefficient, D
Dconst_c = 10;

Bem1_tot = 0.06;
Cdc42_tot = 1;

%% Initial state options

% Option 1: Standard HSS using the parameters above (Default)
Cdc42T0   = 32.3633;
BemGEF420 = 1.4381;
BemGEF0   = 0.0431;
BemGEFc0  = 0.0013;
Cdc42D0   = 22.1990;
Cdc42Dc0  = 0.4008;
BemGEFi420= 3.9181;
BemGEFi0  = 0.1175;
BemGEFic0 = 0.0035;

% Option 2: Generate customized HSS if any of the parameters are changed
%           by setting HSS to 1.
HSS = 0;

% With the first two options, using concentration spikes give rise to peaks
Cdc42spike1 = 0;
Cdc42spike2 = 0;
BemGEFspike = 0;

% Option 3: Load 1 patch steady state (From infinite cytoplasmic diffusion)
load1pss = 0;

% Option 4: Load 2 patch steady state (From infinite cytoplasmic diffusion)
load2pss = 0;

%% Change condition at a certain time
break_time = 1;

% Change Protein amount of 
P_Cdc42 = 1;
P_BemGEF = 1;

break_p1_multiplier = 1.2;
break_p2_multiplier = 0.8;

start_compete = 1000;
break_compete = 1;
%% Output base name
output_basename = '';

%% Modified parameteres
Cellsize = 20;
load2pss = 1;
k2b = 1.75;
k8 = 0;
s = 0;
interval = 35000;
start_compete = 5001;
P_Cdc42 = 2;
P_BemGEF = 2;
output_basename = 'Test1_P2_compete';